# Fetching a single Assignment

This endpoint returns structured Assignment objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `assignments` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /assignments/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `assignee` (User) - Retrieves the user assigned to the task. The response will include `assignee_id`, which references the data in the `users` top-level key.
- `external_references` (ExternalReference) - Includes references to external integrations for this object.
- `story` (Story) - Retrieves the task. The response will include `story_id`, which references the data in the `stories` top-level key.
- `story_allocation_days` (StoryAllocationDay) - Retrieves the Story Allocation Days (i.e. Daily Scheduled Hours) for the resource assigned to the task. When using this
value, the `plannable` filter must be set to `true`. To retrieve story allocation days for unnamed resources, also set
the `include_unnamed` filter to `true`. The response will include `story_allocation_day_ids`, which references the data
in the `story_allocation_days` top-level key.

## Response 200:

  - `200` (unknown)
    The Assignment has been retrieved.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `assignments` (object)

  - `external_references` (object)

  - `stories` (object)

  - `users` (object)

  - `story_allocation_days` (object)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden request

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404:

  - `404` (unknown)
    Page Not Found

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503:

  - `503` (unknown)
    Service is unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

